﻿using System;
using System.Web;
using System.Web.Mvc;
using System.Web.Mvc.Html;
using System.Web.Routing;

public static class RoutesHtmlHelperExtensions
{
	public static RouteLinks RouteLink(this HtmlHelper helper)
	{
		return new RouteLinks(helper);
	}
}

public class RouteLinks
{
	private HtmlHelper helper;

	public RouteLinks(HtmlHelper helper)
	{
		this.helper = helper;
	}
		
	public MvcHtmlString UpdatesUnapproved(string linkText)
	{
		RouteValueDictionary dict = new RouteValueDictionary();
        return helper.RouteLink(linkText, "UpdatesUnapproved", dict);
	}
		
	public MvcHtmlString UpdatesUnapprovedGrid(string linkText)
	{
		RouteValueDictionary dict = new RouteValueDictionary();
        return helper.RouteLink(linkText, "UpdatesUnapprovedGrid", dict);
	}
		
	public MvcHtmlString UpdatesDeclined(string linkText)
	{
		RouteValueDictionary dict = new RouteValueDictionary();
        return helper.RouteLink(linkText, "UpdatesDeclined", dict);
	}
		
	public MvcHtmlString UpdateDetails(string linkText)
	{
		RouteValueDictionary dict = new RouteValueDictionary();
        return helper.RouteLink(linkText, "UpdateDetails", dict);
	}
		
	public MvcHtmlString ComputerTargetGroupDetails(string linkText, System.Guid id)
	{
		RouteValueDictionary dict = new RouteValueDictionary();
        dict.Add("id", id); 
        return helper.RouteLink(linkText, "ComputerTargetGroupDetails", dict);
	}
		
	public MvcHtmlString ComputerTargetsInGroup(string linkText, System.Guid id)
	{
		RouteValueDictionary dict = new RouteValueDictionary();
        dict.Add("id", id); 
        return helper.RouteLink(linkText, "ComputerTargetsInGroup", dict);
	}
		
	public MvcHtmlString ComputerDetails(string linkText, String id)
	{
		RouteValueDictionary dict = new RouteValueDictionary();
        dict.Add("id", id); 
        return helper.RouteLink(linkText, "ComputerDetails", dict);
	}
		
	public MvcHtmlString UpdateApprove(string linkText)
	{
		RouteValueDictionary dict = new RouteValueDictionary();
        return helper.RouteLink(linkText, "UpdateApprove", dict);
	}
		
	public MvcHtmlString DownloadStatus(string linkText)
	{
		RouteValueDictionary dict = new RouteValueDictionary();
        return helper.RouteLink(linkText, "DownloadStatus", dict);
	}
		
	public MvcHtmlString SynchronizationStatus(string linkText)
	{
		RouteValueDictionary dict = new RouteValueDictionary();
        return helper.RouteLink(linkText, "SynchronizationStatus", dict);
	}
	
}